<?php

// 顧客様
Route::get('/api/rpc/invoice/company/getall', 'InvoiceController@getCompanies');
Route::get('/api/rpc/invoice/company/get/{id}', 'InvoiceController@getCompany');

Route::post('/api/rpc/invoice/company/new', 'InvoiceController@newCompany');
Route::post('/api/rpc/invoice/company/edit', 'InvoiceController@editCompany');
Route::post('/api/rpc/invoice/company/delete', 'InvoiceController@deleteCompany');

// 連絡先
Route::get('/api/rpc/invoice/contacts/getall', 'InvoiceController@getContacts');
Route::get('/api/rpc/invoice/contacts/get/{id}', 'InvoiceController@getContact');

Route::post('/api/rpc/invoice/contacts/new', 'InvoiceController@newContact');
Route::post('/api/rpc/invoice/contacts/edit', 'InvoiceController@editContact');
Route::post('/api/rpc/invoice/contacts/delete', 'InvoiceController@deleteContact');

// 請求書
Route::get('/api/rpc/invoice/invoices/getall', 'InvoiceController@getInvoices');
Route::get('/api/rpc/invoice/periods/getall', 'InvoiceController@getPeriods');
Route::get('/api/rpc/invoice/products/getall', 'InvoiceController@getProducts');
Route::get('/api/rpc/invoice/services/getall', 'InvoiceController@getServices');
Route::get('/api/rpc/invoice/taxes/getall', 'InvoiceController@getTaxes');

Route::get('/api/rpc/invoice/invoices/get/{id}', 'InvoiceController@getInvoice');
Route::get('/api/rpc/invoice/periods/get/{id}', 'InvoiceController@getPeriod');
Route::get('/api/rpc/invoice/products/get/{id}', 'InvoiceController@getProduct');
Route::get('/api/rpc/invoice/services/get/{id}', 'InvoiceController@getService');
Route::get('/api/rpc/invoice/taxes/get/{id}', 'InvoiceController@getTax');

Route::post('/api/rpc/invoice/invoices/delete', 'InvoiceController@deleteInvoice');
Route::post('/api/rpc/invoice/invoices/deleteitem', 'InvoiceController@deleteInvoiceItem');
Route::post('/api/rpc/invoice/periods/delete', 'InvoiceController@deletePeriod');
Route::post('/api/rpc/invoice/products/delete', 'InvoiceController@deleteProduct');
Route::post('/api/rpc/invoice/services/delete', 'InvoiceController@deleteService');
Route::post('/api/rpc/invoice/taxes/delete', 'InvoiceController@deleteTax');

Route::post('/api/rpc/invoice/invoices/edit', 'InvoiceController@editInvoice');
Route::post('/api/rpc/invoice/invoices/edititem', 'InvoiceController@editInvoiceItem');
Route::post('/api/rpc/invoice/periods/edit', 'InvoiceController@editPeriod');
Route::post('/api/rpc/invoice/products/edit', 'InvoiceController@editProduct');
Route::post('/api/rpc/invoice/services/edit', 'InvoiceController@editService');
Route::post('/api/rpc/invoice/taxes/edit', 'InvoiceController@editTax');

Route::post('/api/rpc/invoice/invoices/new', 'InvoiceController@newInvoice');
Route::post('/api/rpc/invoice/invoices/newitem', 'InvoiceController@newInvoiceItem');
Route::post('/api/rpc/invoice/periods/new', 'InvoiceController@newPeriod');
Route::post('/api/rpc/invoice/products/new', 'InvoiceController@newProduct');
Route::post('/api/rpc/invoice/services/new', 'InvoiceController@newService');
Route::post('/api/rpc/invoice/taxes/new', 'InvoiceController@newTax');
